OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_PColPGeom_FieldOfHArray1OfSurface Class Reference

`#include <ShapeSchema_PColPGeom_FieldOfHArray1OfSurface.hxx>`

## Static Public Member Functions
static Standard_EXPORT void | SAdd (const PColPGeom_FieldOfHArray1OfSurface &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const PColPGeom_FieldOfHArray1OfSurface &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (PColPGeom_FieldOfHArray1OfSurface &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void ShapeSchema_PColPGeom_FieldOfHArray1OfSurface::SAdd | ( | const PColPGeom_FieldOfHArray1OfSurface & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PColPGeom_FieldOfHArray1OfSurface::SRead | ( | PColPGeom_FieldOfHArray1OfSurface & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PColPGeom_FieldOfHArray1OfSurface::SWrite | ( | const PColPGeom_FieldOfHArray1OfSurface & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- ShapeSchema_PColPGeom_FieldOfHArray1OfSurface.hxx